--------------------------------------------------------
--  DDL for Table EMP
--------------------------------------------------------

  CREATE TABLE "SCOTT"."EMP" 
   (	"EMPID" NUMBER(6,0), 
	"FNAME" VARCHAR2(20 BYTE), 
	"LNAME" VARCHAR2(25 BYTE), 
	"EMAIL" VARCHAR2(25 BYTE), 
	"PHONE" VARCHAR2(20 BYTE), 
	"HDATE" DATE, 
	"JOBID" VARCHAR2(10 BYTE), 
	"SALARY" NUMBER(8,2), 
	"COMM" NUMBER(2,2), 
	"MGRID" NUMBER(6,0), 
	"DEPTID" NUMBER(4,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "SCOTT"."EMP"."EMPID" IS 'Primary key of employees table.';
   COMMENT ON COLUMN "SCOTT"."EMP"."FNAME" IS 'First name of the employee. A not null column.';
   COMMENT ON COLUMN "SCOTT"."EMP"."LNAME" IS 'Last name of the employee. A not null column.';
   COMMENT ON COLUMN "SCOTT"."EMP"."EMAIL" IS 'Email id of the employee';
   COMMENT ON COLUMN "SCOTT"."EMP"."PHONE" IS 'Phone number of the employee; includes country code and area code';
   COMMENT ON COLUMN "SCOTT"."EMP"."HDATE" IS 'Date when the employee started on this job. A not null column.';
   COMMENT ON COLUMN "SCOTT"."EMP"."JOBID" IS 'Current job of the employee; foreign key to job_id column of the
jobs table. A not null column.';
   COMMENT ON COLUMN "SCOTT"."EMP"."SALARY" IS 'Monthly salary of the employee. Must be greater
than zero (enforced by constraint emp_salary_min)';
   COMMENT ON COLUMN "SCOTT"."EMP"."COMM" IS 'Commission percentage of the employee; Only employees in sales
department elgible for commission percentage';
   COMMENT ON COLUMN "SCOTT"."EMP"."MGRID" IS 'Manager id of the employee; has same domain as manager_id in
departments table. Foreign key to employee_id column of employees table.
(useful for reflexive joins and CONNECT BY query)';
   COMMENT ON COLUMN "SCOTT"."EMP"."DEPTID" IS 'Department id where employee works; foreign key to department_id
column of the departments table';
   COMMENT ON TABLE "SCOTT"."EMP"  IS 'employees table. Contains 107 rows. References with departments,
jobs, job_history tables. Contains a self reference.';
