--------------------------------------------------------
--  DDL for Table JOB
--------------------------------------------------------

  CREATE TABLE "SCOTT"."JOB" 
   (	"JOBID" VARCHAR2(10 BYTE), 
	"JOB_TITLE" VARCHAR2(35 BYTE), 
	"MIN_SALARY" NUMBER(6,0), 
	"MAX_SALARY" NUMBER(6,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "SCOTT"."JOB"."JOBID" IS 'Primary key of jobs table.';
   COMMENT ON COLUMN "SCOTT"."JOB"."JOB_TITLE" IS 'A not null column that shows job title, e.g. AD_VP, FI_ACCOUNTANT';
   COMMENT ON COLUMN "SCOTT"."JOB"."MIN_SALARY" IS 'Minimum salary for a job title.';
   COMMENT ON COLUMN "SCOTT"."JOB"."MAX_SALARY" IS 'Maximum salary for a job title';
   COMMENT ON TABLE "SCOTT"."JOB"  IS 'jobs table with job titles and salary ranges. Contains 19 rows.
References with employees and job_history table.';
